# field

- TYPE DECL-INIT , DECL-INIT ...;
  This form creates multiple fields of the given type, both with and without values. These names can be used within the current class object, or on instances of the current class. Those fields that are not immediately given values, and are not assigned before use, will be given default values.
- `static` TYPE DECL-INIT , DECL-INIT ...;
  This form creates multiple fields of the given type that are tied to the class, not the instance of the class. The value of these fields cannot use `this`.

ProfessorJ Advanced Language